<?php
if(!isset($_SESSION)) {    
    session_start();
}

require_once($_SERVER['DOCUMENT_ROOT'].'/varios/varios.php');
require_once($_SERVER['DOCUMENT_ROOT'].'/clases/Varios.Class.php');

if( Varios::isActiveSession() 
	&& Varios::hasModuleAccess(6)
    && isset($_POST["par1"]) && $_POST["par1"] != ""
) {		
	$par1 = filter_var($_POST["par1"], FILTER_SANITIZE_NUMBER_INT);	
	
	require_once($_SERVER['DOCUMENT_ROOT'].'/clases/Parametro.Class.php');
	$parametro_obj 	= new Parametro(null);
	$bodega_inf 	= $parametro_obj->informacionParametro( 105000, NULL, 1, 1);
	$prioridad_inf 	= $parametro_obj->informacionParametro( 106000, NULL, 1, 1);
	$parametro_obj->Close();

	if ($par1 == 0){
		$bodegaId 	= '';
		$codigo 	= '';
		$descripcion= '';
		$capacidad 	= '';
		$prioridad 	= '';
		$estado 	= '';
		$registros 	= 0;
		$titulo 	= "Ingreso de puerta";
		$boton 		= "Ingresar";
	} else {	
		require_once($_SERVER['DOCUMENT_ROOT'].'/clases/Puerta.Class.php');
		$puerta_obj		= new Puerta(null);	
		$puerta_inf 	= $puerta_obj->informacionPuerta( $par1, null, 0);
		$puerta_obj->Close();
		$bodegaId 		= $puerta_inf['para_bodega_UID'];
		$codigo 		= $puerta_inf['puer_codigo'];
		$descripcion 	= $puerta_inf['puer_descripcion'];
		$capacidad 		= $puerta_inf['puer_capacidad'];
		$prioridad 		= $puerta_inf['para_prioridad_UID'];
		$estado			= $puerta_inf['puer_estado_formato'];
		$registros  	= $puerta_inf['puer_registros'];
		
		$titulo = "Modificar puerta";
		$boton		= 'Modificar';
	}?>
	<form name="frm_puerta" id="frm_puerta" method="post">
		<div class="modal-header">
			<h5 class="modal-title" id="md_modal_titulo"><?php echo $titulo;?></h5>
			<button aria-label="Close" class="close" data-dismiss="modal" type="button"><span aria-hidden="true"> &times;</span></button>
		</div>	
		<div class="modal-body" id="md_modal_content">
			<input value="<?php echo $par1;?>" type="hidden" id="txt_modificar" name="txt_modificar">
			<div class="form-group row">
				<label class="col-form-label col-sm-2" >Bodega<span style="color:red;">*</span></label>
				<div class="col-sm-4">
					<select name="cmb_bodega" id="cmb_bodega" class="form-control" >
						<option value="">Seleccione una bodega...</option><?php
						foreach($bodega_inf as $row ) {?>						
							<option value="<?php echo $row['para_UID'];?>" <?php
							if($bodegaId == $row['para_UID']) {
								
								echo 'selected';
								
							}?>><?php echo $row['para_nombre'];?></option><?php 
							
						}?>
					</select>
				</div>
				<label class="col-form-label col-sm-1" >Código<span style="color:red;">*</span></label>
				<div class="col-sm-5">
				<input <?php
						if($registros > 0) echo 'readonly';?> class="form-control" placeholder="Código" type="text" 
						autocomplete="off"
						value="<?php echo $codigo;?>" id="txt_codigo" name="txt_codigo">
				</div>
			</div>
			<div class="form-group row">
				<label class="col-form-label col-xs-12 col-sm-2"> Descripcion<span style="color:red;">*</span></label>
				<div class="col-xs-12 col-sm-10">
					<input <?php
						if($registros > 0)
							echo 'readonly';?> class="form-control" placeholder="Descripción de la puerta" 
						autocomplete="off"
						value="<?php echo $descripcion;?>" maxlength="100"
						id="txt_descripcion" name="txt_descripcion">
				</div>
			</div>
			<div class="form-group row">
				<label class="col-form-label col-xs-12 col-sm-2"> Capacidad<span style="color:red;">*</span></label>
				<div class="col-xs-12 col-sm-4">
					<input <?php
						if($registros > 0)
							echo 'readonly';?> class="form-control css_numero" placeholder="Cap. Máx..." type="text" 
						autocomplete="off"
						value="<?php echo $capacidad;?>" 
						id="txt_capacidad_max" name="txt_capacidad_max">
				</div>	
					<label class="col-form-label col-sm-1"> Prioridad<span style="color:red;">*</span></label>
					<div class="col-sm-5">
					<select name="cmb_prioridad" id="cmb_prioridad" class="form-control" >
						<option value="">Seleccione una prioridad...</option><?php
						foreach($prioridad_inf as $row ) {?>						
							<option value="<?php echo $row['para_UID'];?>" <?php
							if($prioridad == $row['para_UID']) {
								
								echo 'selected';
								
							}?>><?php echo $row['para_nombre'];?></option><?php 
							
						}?>
					</select>
					</div>
			</div>
			<div class="form-group row"><?php 
				if (strlen($estado) > 0)
				{
				?>				
					<label class="col-form-label col-sm-2"> Estado<span style="color:red;">*</span></label>
					<div class="col-sm-4">
						<select name="cmb_estado" id="cmb_estado" class="form-control" >
							<option value="1" <?php 
								echo ($estado == 'Activo')? 'selected' : '';?>>Activo</option>
							<option value="0" <?php 
								echo ($estado == 'Inactivo')? 'selected' : '';?>>Inactivo</option>
						</select>
					</div><?php
				}?>			
			</div>
			<div class="modal-footer">
				<button class="btn btn-primary" type="submit" id="btn_guardar" name="btn_guardar"><i class="picons-thin-icon-thin-0002_write_pencil_new_edit"></i> <?php echo $boton;?></button>
				<button class="btn btn-secondary" data-dismiss="modal" type="button"><i class="picons-thin-icon-thin-0153_delete_exit_remove_close"></i> Cerrar</button>
			</div>					
		</div>		
	<script type="text/javascript" src="/js/puertas/puertasCargar.js"></script>
	</form><?php

	
	
} else{		

	echo 'Los parámetros recibidos NO son válidos';
	
}
?>